--- Makefile 31 May 2004 19:40:22 -0000 1.22
+++ Makefile 7 Jul 2004 07:32:58 -0000
@@ -43,10 +43,15 @@ MLFLAGS+=$(shell if [ -d /usr/lib/pgsql
 MLFLAGS+=$(shell if [ -d /usr/local/pgsql/lib ]; then echo "-L/usr/local/pgsql/lib"; fi)
 MLFLAGS+=$(shell if [ -d /usr/local/lib/pgsql ]; then echo "-L/usr/local/lib/pgsql"; fi)
 MLFLAGS+=$(shell if [ -d /opt/pgsql/lib ]; then echo "-L/opt/pgsql/lib"; fi)
 MLFLAGS+=$(shell if [ -f /usr/lib/libpq.so ]; then echo "-L/usr/lib"; fi)

+#
+# SQLIte stuff...
+#
+MODS+=$(shell if [ -f "/usr/include/sqlite.h" ]; then echo "cdr_sqlite.so"; fi)
+
 all: depend $(MODS)

 install: all
        for x in $(MODS); do $(INSTALL) -m 755 $$x $(DESTDIR)$(MODULES_DIR) ; done

@@ -64,9 +69,12 @@ cdr_odbc.so: cdr_odbc.o
        $(CC) $(SOLINK) -o $@ $< -lodbc $(MLFLAGS)

 cdr_pgsql.so: cdr_pgsql.o
        $(CC) $(SOLINK) -o $@ $< -lpq -lz $(MLFLAGS)

+cdr_sqlite.so: cdr_sqlite.o
+ $(CC) $(SOLINK) -o $@ $< -lsqlite $(MLFLAGS)
+
 depend: .depend

 .depend:
        ../mkdep $(CFLAGS) `ls *.c` 